Monitors - List App Services
列出当前受 NewRelic 资源监视的应用服务资源。
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/NewRelic.Observability/monitors/{monitorName}/listAppServices?api-version=2024-10-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
monitor
|
path | True |
string |
监视器资源的名称 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 名称不区分大小写。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
请求正文
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| userEmail | True |
string pattern: ^[A-Za-z0-9._%+-]+@(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,}$ |
用户电子邮件 |
| azureResourceIds |
string[] |
Azure 资源 ID |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
ARM作已成功完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Microsoft Entra ID OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
|
Monitors_List |
|
Monitors_List |
Monitors_ListAppServices_MaximumSet_Gen
示例请求
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz/listAppServices?api-version=2024-10-01
{
"azureResourceIds": [
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz"
],
"userEmail": "ruxvg@xqkmdhrnoo.hlmbpm"
}
示例响应
{
"value": [
{
"azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz",
"agentVersion": "owxkssnbp",
"agentStatus": "vclwfecbppsfaygdccfu"
}
],
"nextLink": "http://testlink.com"
}
Monitors_ListAppServices_MinimumSet_Gen
示例请求
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz/listAppServices?api-version=2024-10-01
{
"azureResourceIds": [
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz"
],
"userEmail": "ruxvg@xqkmdhrnoo.hlmbpm"
}
示例响应
{
"value": [],
"nextLink": null
}
定义
| 名称 | 说明 |
|---|---|
|
App |
安装了 NewRelic OneAgent 的 VM 资源的详细信息 |
|
App |
应用服务请求获取作。 |
|
App |
列表应用服务作的响应。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
AppServiceInfo
安装了 NewRelic OneAgent 的 VM 资源的详细信息
| 名称 | 类型 | 说明 |
|---|---|---|
| agentStatus |
string |
在应用服务上安装的 NewRelic 代理的状态。 |
| agentVersion |
string |
在应用服务上安装的 NewRelic 代理的版本。 |
| azureResourceId |
string |
Azure 应用服务资源 ID |
AppServicesGetRequest
应用服务请求获取作。
| 名称 | 类型 | 说明 |
|---|---|---|
| azureResourceIds |
string[] |
Azure 资源 ID |
| userEmail |
string pattern: ^[A-Za-z0-9._%+-]+@(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,}$ |
用户电子邮件 |
AppServicesListResponse
列表应用服务作的响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项的链接 |
| value |
此页上的 AppServiceInfo 项 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |